将字典中的项目替换为给定项目。 支持的平台:仅窗口 签名工 务 局: object.Replace Name, NewObject 返回值(RetVal)无返回值。 言论例如,以下字典中的“FirstKeyword”:
附加了一个新对象“NewObject”:
例子工 务 局: Sub Example_Replace() ' This example creates a dictionary and adds ' a custom object to that dictionary. It then ' replaces the object in the dictionary. Dim dictObj As AcadDictionary Set dictObj = ThisDrawing.Dictionaries.Add("TEST_DICTIONARY") ' Load the ObjectARX application that defines the custom object. ' Note: The application listed here does not exist and ' will cause an error when run. Change the application name ' to the path and name of your ObjectARX application. ThisDrawing.Application.LoadArx "MyARXApp.dll" ' Create the custom object in the dictionary Dim keyName As String Dim className As String Dim customObj As AcadObject keyName = "OBJ1" className = "CAsdkDictObject" Set customObj = dictObj.AddObject(keyName, className) ' Replace the object from the dictionary with a different object Dim newCustomObject As AcadObject dictObj.Replace keyName, newCustomObject End Sub Visual LISP: (vl-load-com) (defun c:Example_Replace() ;; This example creates a dictionary and adds ;; a custom object to that dictionary. It then ;; replaces the object in the dictionary. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq dictionaries (vla-get-Dictionaries doc)) (setq dictObj (vla-Add dictionaries "TEST_DICTIONARY")) ;; Load the ObjectARX application that defines the custom object. ;; Note: The application listed here does not exist and ;; will cause an error when run. Change the application name ;; to the path and name of your ObjectARX application. (vla-LoadArx acadObj "MyARXApp.dll") ;; Create the custom object in the dictionary (setq keyName "OBJ1") (setq className "CAsdkDictObject") (setq customObj (vla-AddObject dictObj keyName className)) ;; Replace the object from the dictionary with a different object (setq newCustomObject (vlax-make-variant)) (vlax-variant-type newCustomObject vlax-vbObject) (vla-Replace dictObj keyName newCustomObject) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:03
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.